using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace RSSMA_PM_Example
{
    public partial class DlgGen2 : Form
    {
        public string Freq
        {
            get { return _freq.Text; }
            set { _freq.Text = value; }
        }
        public int Shape
        {
            get { return _shape.SelectedIndex; }
            set 
            { 
                _shape.SelectedIndex = value;

                bool bEnabled = _shape.SelectedIndex == 3;
                _rise.Enabled = bEnabled;
                _high.Enabled = bEnabled;
                _fall.Enabled = bEnabled;
                _low.Enabled = bEnabled;
            }
        }
        public string Rise
        {
            get { return _rise.Text; }
            set { _rise.Text = value; }
        }
        public string High
        {
            get { return _high.Text; }
            set { _high.Text = value; }
        }
        public string Fall
        {
            get { return _fall.Text; }
            set { _fall.Text = value; }
        }
        public string Low
        {
            get { return _low.Text; }
            set { _low.Text = value; }
        }
        public DlgGen2()
        {
            InitializeComponent();
        }

        private void OnChangeShape(object sender, EventArgs e)
        {
            bool bEnabled = _shape.SelectedIndex == 3;
            _rise.Enabled = bEnabled;
            _high.Enabled = bEnabled;
            _fall.Enabled = bEnabled;
            _low.Enabled = bEnabled;
        }
    }
}