using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace RSSMA_AM_Example
{
    public partial class DlgNoise : Form
    {
        public int Distribution
        {
            get { return _distribution.SelectedIndex; }
            set { _distribution.SelectedIndex = value;}
        }
        public bool BandLimitation
        {
            get { return _bandLimitation.Checked;}
            set 
            { 
                _bandLimitation.Checked = value;
                _bandWidth.Enabled = value;
            }
        }
        public string BandWidth
        {
            get { return _bandWidth.Text;}
            set { _bandWidth.Text = value;}
        }
        public DlgNoise()
        {
            InitializeComponent();
        }

        private void OnBandwidth(object sender, EventArgs e)
        {
            bool bEnabled = _bandLimitation.Checked;
            _bandWidth.Enabled = bEnabled;
        }
    }
}